### Constructor

# Gtk LockButton new

#### Declaration [src]

    GtkWidget*
    gtk_lock_button_new (
      GPermission* permission
    )

#### Description [src]

Creates a new lock button which reflects the `permission`.

#### Parameters

`permission` | `GPermission*`
| A `GPermission`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `GtkLockButton`.
| The data is owned by the called function.